{% extends 'base.html' %}

{% block title %}Register{% endblock %}

{% block content %}
<div class="container">
	<div class="row">
		<div class="col-6 offset-3">
			<h1 class="text-center my-3">Register</h1>

			{% if error == True %}
				<p class="text-danger">Please check the information added to the fields </p>
			{% endif %}

			<form action="{% url 'todolist:register' %}" method="post">
				{% csrf_token %}
				<div class="mb-3">
				    <label for="username">Username: </label>
				    <input class="form-control" autocomplete="off" id="username" type="text" name="username" value="{{ username }}" maxlength="150" required>
				</div>

				<div class="mb-3">
				    <label for="first_name">First Name: </label>
				    <input class="form-control" autocomplete="off" id="first_name" type="text" name="first_name" value="{{ first_name }}" maxlength="150" required>
				</div>

				<div class="mb-3">
				    <label for="last_name">Last Name: </label>
				    <input class="form-control" autocomplete="off" id="last_name" type="text" name="last_name" value="{{ last_name }}" maxlength="150" required>
				</div>

				<div class="mb-3">
				    <label for="email">Email: </label>
				    <input class="form-control" autocomplete="off" id="email" type="text" name="email" value="{{ email }}" maxlength="254" required>
				</div>

				<div class="mb-3">
				    <label for="password">Password: </label>
				    <input class="form-control" autocomplete="off" id="password" type="password" name="password" value="{{ password }}" maxlength="128" required>
				</div>

				<div class="mb-3">
				    <label for="confirm_password">Confirm Password: </label>
				    <input class="form-control" autocomplete="off" id="confirm_password" type="password" name="confirm_password" value="{{ confirm_password }}" maxlength="128" required>
				</div>



				<div class="text-center">
			    	<input class="btn btn-success" type="submit" value="Register">
				</div>

			</form>
		</div>
	</div>
</div>
{% endblock %}